#if(!exists("logt")) logt = log(1.80)
if(!exists("n")) n = 263
if(!exists("logt")) logt = log(1)
if(!exists("logs")) logs = log(1)

#logt = 0.01*n
logt = log(1000000000)

file = sprintf("< ./singular_values 713698 %f %f", exp(logs), exp(logt))
#file = sprintf("< ./singular_values 1621 %f %f", exp(logs), exp(logt))
#outfile = sprintf("cdf/cdf_hires_%05d.png", n)
outfile = sprintf("cdf/cdf_hires_limit.png")

set log x
set zeroaxis
set samples 1000
set size square
set xrange [0.5:2]
set yrange [0:500000]
#set yrange [0:1000]
set trange [0:30]
set grid
set parametric

set terminal pngcairo enhanced size 1024, 1024
set output outfile
print sprintf("n = %d, t = %.2f", n, exp(logt))

# plot file using 2:3 w p pt 7 ps 0.5 lc 1 t title

#tr(a,b) = exp((2*a+b)/3) + exp((b-a)/3) + exp(-(a+2*b)/3)
#trinv(a,b) = exp(-(2*a+b)/3) + exp((a-b)/3) + exp((a+2*b)/3)

tr(a,b) = exp(a) + exp(b-a) + exp(-b)
trinv(a,b) = exp(-a) + exp(a-b) + exp(b)

#plot file using 6:7 w p pt 7 ps 0.5 lc 1 t columnheader,
#	 log(tr(t,t*2)),log(trinv(t,2*t)) w l lw 2 t "", \
#	 log(tr(t,t/2)),log(trinv(t,t/2)) w l lw 2 t ""

plot file using 8:3 w steps lw 2 lc 1 t sprintf("t = %.2f", exp(logt))

#plot for[i=-10:10] log(tr(t,t*exp(log(2)*i/10.0))),log(trinv(t,t*exp(log(2)*i/10.0))) w l lw 2 t ""

#plot for[i=-10:10] t,log(tr(t,t*exp(log(2)*i/10.0)))-t w l lw 2 t ""

##plot for[i=20:20] t,log(tr(1/t,exp(2*log(2)*i/20.0-log(2)))) w l lw 2 t ""

#n=n+1
#if(n < 1000) reread

# pause mouse keypress
# if(MOUSE_KEY == 60) logt=logt-0.02
# if(MOUSE_KEY == 62) logt=logt+0.02
# if(MOUSE_KEY == 44) logs=logs-0.02
# if(MOUSE_KEY == 46) logs=logs+0.02
# if(MOUSE_KEY != 113) reread
