if(!exists("logt")) logt = log(1)
if(!exists("logs")) logs = log(1)

#file = sprintf("< ./singular_values 713698 %f %f", exp(logs), exp(logt))
file = sprintf("< ./singular_values 1621 %f %f", exp(logs), exp(logt))

set zeroaxis
set samples 1000
set size square
set xrange [0:30]
set yrange [0:30]
set trange [0:5]
set grid
set parametric

plot file using 8:9 w p pt 7 ps 1 lc 1 t sprintf("t = %.2f", exp(logt))

#plot for[i=-10:10] log(tr(t,t*exp(log(2)*i/10.0))),log(trinv(t,t*exp(log(2)*i/10.0))) w l lw 2 t ""

#plot for[i=-10:10] t,log(tr(t,t*exp(log(2)*i/10.0)))-t w l lw 2 t ""

##plot for[i=20:20] t,log(tr(1/t,exp(2*log(2)*i/20.0-log(2)))) w l lw 2 t ""

#n=n+1
#if(n < 1000) reread

pause mouse keypress
if(MOUSE_KEY == 60) logt=logt-0.02
if(MOUSE_KEY == 62) logt=logt+0.02
if(MOUSE_KEY == 44) logs=logs-0.02
if(MOUSE_KEY == 46) logs=logs+0.02
if(MOUSE_KEY != 113) reread
