if(!exists("i")) i = 0

file = sprintf("< ./singular_values %f 1.78", exp((i-50)*0.02))

set samples 1000
set size square
set xrange [0:30]
set yrange [0:30]
set trange [0:30]
set grid
set parametric

set terminal pngcairo enhanced size 1024,1024
img = sprintf("output/animation/test%03d.png", i);
print sprintf("write %s", img)
set output img

plot file using 6:7 w p pt 7 ps 0.5 lc 1 t columnheader, \
	 t,2*t w l lw 2 t "", \
	 t,t/2 w l lw 2 t ""

i=i+1
if(i <= 100) reread
