set log x
set y2tics
set xrange [exp(-1):1]
set yrange [1.5:2]
set y2range [1.98:2.1]
set grid

# set terminal pngcairo enhanced size 1500,1000
# set output "output/max_slope.png"

plot "output/max_slope_1621.dat" using 1:3 w lp pt 7 ps 0.6 lw 2 t "1621 elements", \
	 "output/max_slope_24428.dat" using 1:3 w lp pt 7 ps 0.6 lw 2 t "24428 elements", \
	 "output/max_slope_94252.dat" using 1:3 w lp lw 2 pt 7 ps 0.6 t "94252 elements", \
	 "output/max_slope_713698.dat" using 1:3 w lp lw 2 pt 7 ps 0.6 t "713698 elements", \
	 "output/max_slope_1621.dat" using 1:2 w p pt 7 ax x1y2 t "parameter"

pause mouse keypress
if(MOUSE_KEY != 113) reread
